Detail of job
Gethttps://api.cdn77.com/v3/cdn/{cdnId}/job/{jobId}Request parameters
cdnIdinteger in pathrequiredjobIdstring in path, format UUIDv4required
Responses
Detail of the given job.
Response parameters
idstring, format UUIDv4Job ID.
typestringThere are two types of jobs: purge: instantly removes cached content from all enabled datacenters. purge-all: instantly removes all cached content from all enabled datacenters.
Available values:
purge,purge-allcdnobjectpathsarray of stringsList of file paths, that are being processed in the job.
ignored_pathsarray of stringspaths_countintegerstatestringState of the request.
Available values:
done,processing,queuedqueued_atstring, format date-timeTime of the request at queueing.
done_atstring, format date-timeTime of request at completion.
Example of the response
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57",
"type": "purge",
"cdn": {
"id": 1234567890
},
"paths": [
"/sub/img.png"
],
"ignored_paths": [
"/sub/img.png/*"
],
"paths_count": 100,
"state": "done",
"queued_at": "2027-07-07T00:00:00.000Z",
"done_at": "2027-07-07T00:00:00.000Z"
}